CatalogSize Guides
Assign size guide
Assigns a size guide to exactly one product or category; a category assignment may include descendant categories.
Path Parameters
sizeGuideId*string
Identifier of the size guide.
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/catalog/size-guides/7204558912004323019/assignments" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "targetType": "product", "targetId": "7204558912004322457", "includeChildrenCategories": false, "priority": 1 }'{ "id": "7204558912004326347"}